--
-- Selected TOC Entries:
--
\connect - morgoth

--
-- TOC Entry ID 2 (OID 33497)
--
-- Name: przedmiot Type: TABLE Owner: morgoth
--

CREATE TABLE "przedmiot" (
	"nazwa" text NOT NULL,
	"idprzedmiotu" integer DEFAULT nextval('"przedmiot_seq"'::text) NOT NULL
);

--
-- TOC Entry ID 3 (OID 33502)
--
-- Name: klasa Type: TABLE Owner: morgoth
--

CREATE TABLE "klasa" (
	"nazwa" text NOT NULL,
	"idklasy" integer DEFAULT nextval('"klasa_seq"'::text) NOT NULL,
	Constraint "klasa_pkey" Primary Key ("idklasy")
);

--
-- TOC Entry ID 4 (OID 33507)
--
-- Name: uczen Type: TABLE Owner: morgoth
--

CREATE TABLE "uczen" (
	"imie" text NOT NULL,
	"nazwisko" text NOT NULL,
	"idklasy" integer NOT NULL,
	"iducznia" integer DEFAULT nextval('"uczen_seq"'::text) NOT NULL,
	Constraint "uczen_pkey" Primary Key ("iducznia")
);

--
-- TOC Entry ID 5 (OID 33512)
--
-- Name: ocena Type: TABLE Owner: morgoth
--

CREATE TABLE "ocena" (
	"ocena" real NOT NULL,
	"czyliczona" boolean NOT NULL,
	"iducznia" integer NOT NULL,
	"idprzedmiotu" integer NOT NULL,
	"idoceny" integer DEFAULT nextval('"ocena_seq"'::text) NOT NULL,
	Constraint "ocena_pkey" Primary Key ("idoceny")
);

--
-- Data for TOC Entry ID 6 (OID 33497)
--
-- Name: przedmiot Type: TABLE DATA Owner: morgoth
--


COPY "przedmiot" FROM stdin;
\.
--
-- Data for TOC Entry ID 7 (OID 33502)
--
-- Name: klasa Type: TABLE DATA Owner: morgoth
--


COPY "klasa" FROM stdin;
\.
--
-- Data for TOC Entry ID 8 (OID 33507)
--
-- Name: uczen Type: TABLE DATA Owner: morgoth
--


COPY "uczen" FROM stdin;
\.
--
-- Data for TOC Entry ID 9 (OID 33512)
--
-- Name: ocena Type: TABLE DATA Owner: morgoth
--


COPY "ocena" FROM stdin;
\.
--
-- TOC Entry ID 12 (OID 33518)
--
-- Name: "RI_ConstraintTrigger_33517" Type: TRIGGER Owner: morgoth
--

CREATE CONSTRAINT TRIGGER "$1" AFTER INSERT OR UPDATE ON "uczen"  FROM "klasa" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('$1', 'uczen', 'klasa', 'UNSPECIFIED', 'idklasy', 'idklasy');

--
-- TOC Entry ID 10 (OID 33520)
--
-- Name: "RI_ConstraintTrigger_33519" Type: TRIGGER Owner: morgoth
--

CREATE CONSTRAINT TRIGGER "$1" AFTER DELETE ON "klasa"  FROM "uczen" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_cascade_del" ('$1', 'uczen', 'klasa', 'UNSPECIFIED', 'idklasy', 'idklasy');

--
-- TOC Entry ID 11 (OID 33522)
--
-- Name: "RI_ConstraintTrigger_33521" Type: TRIGGER Owner: morgoth
--

CREATE CONSTRAINT TRIGGER "$1" AFTER UPDATE ON "klasa"  FROM "uczen" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('$1', 'uczen', 'klasa', 'UNSPECIFIED', 'idklasy', 'idklasy');

--
-- TOC Entry ID 15 (OID 33524)
--
-- Name: "RI_ConstraintTrigger_33523" Type: TRIGGER Owner: morgoth
--

CREATE CONSTRAINT TRIGGER "$1" AFTER INSERT OR UPDATE ON "ocena"  FROM "uczen" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('$1', 'ocena', 'uczen', 'UNSPECIFIED', 'iducznia', 'iducznia');

--
-- TOC Entry ID 13 (OID 33526)
--
-- Name: "RI_ConstraintTrigger_33525" Type: TRIGGER Owner: morgoth
--

CREATE CONSTRAINT TRIGGER "$1" AFTER DELETE ON "uczen"  FROM "ocena" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_cascade_del" ('$1', 'ocena', 'uczen', 'UNSPECIFIED', 'iducznia', 'iducznia');

--
-- TOC Entry ID 14 (OID 33528)
--
-- Name: "RI_ConstraintTrigger_33527" Type: TRIGGER Owner: morgoth
--

CREATE CONSTRAINT TRIGGER "$1" AFTER UPDATE ON "uczen"  FROM "ocena" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('$1', 'ocena', 'uczen', 'UNSPECIFIED', 'iducznia', 'iducznia');

